import { IScope } from 'angular';
import { IExpectedArtifactSelectorViewControllerDelegate } from './ExpectedArtifactSelectorViewController';
import { ExpectedArtifactSelectorViewControllerAngularDelegate } from './ExpectedArtifactSelectorViewControllerAngularDelegate';
import { IArtifactAccount } from '../account';
import { IArtifactSource, IExpectedArtifact, IPipeline, IStage } from '../domain';
export declare class NgAppEngineDeployArtifactDelegate extends ExpectedArtifactSelectorViewControllerAngularDelegate<IArtifactSource<IStage | IPipeline>> implements IExpectedArtifactSelectorViewControllerDelegate {
    protected $scope: IScope;
    protected offeredArtifactTypes: RegExp[];
    constructor($scope: IScope, offeredArtifactTypes?: RegExp[]);
    getExpectedArtifacts(): IExpectedArtifact[];
    getSelectedExpectedArtifact(): IExpectedArtifact;
    getSelectedAccount(): IArtifactAccount;
    getOfferedArtifactTypes(): RegExp[];
    setSelectedExpectedArtifact(e: IExpectedArtifact): void;
    setSelectedArtifactAccount(_a: IArtifactAccount): void;
    createArtifact(): void;
    refreshExpectedArtifacts(): void;
}
